Index: typo3/sysext/t3skin/stylesheets/structure/module_import_export.css
===================================================================
--- typo3/sysext/t3skin/stylesheets/structure/module_import_export.css	(Revision 0)
+++ typo3/sysext/t3skin/stylesheets/structure/module_import_export.css	(Revision 0)
@@ -0,0 +1,10 @@
+/* - - - - - - - - - - - - - - - - - - - - -
+Import Export
+
+$Id: $
+- - - - - - - - - - - - - - - - - - - - - */
+
+table.typo3-import-export {
+	width: 100%;
+}
+
Index: typo3/sysext/t3skin/stylesheets/visual/module_import_export.css
===================================================================
--- typo3/sysext/t3skin/stylesheets/visual/module_import_export.css	(Revision 0)
+++ typo3/sysext/t3skin/stylesheets/visual/module_import_export.css	(Revision 0)
@@ -0,0 +1,19 @@
+/* - - - - - - - - - - - - - - - - - - - - -
+Import Export
+
+$Id: $
+- - - - - - - - - - - - - - - - - - - - - */
+
+tr.t3-impexp-pages {
+	background-color: #D8D8D8;
+}
+
+tr.t3-impexp-records {
+	background-color: #E8E8E8;
+}
+
+tr.t3-impexp-relations,
+tr.t3-impexp-references,
+tr.t3-impexp-files {
+	background-color: #F3F3F3;
+}
\ No newline at end of file
Index: typo3/sysext/impexp/app/index.php
===================================================================
--- typo3/sysext/impexp/app/index.php	(Revision 9033)
+++ typo3/sysext/impexp/app/index.php	(Arbeitskopie)
@@ -628,7 +628,7 @@
 		$menuItems[] = array(
 			'label' => $LANG->getLL('tableselec_configuration'),
 			'content' => '
-				<table border="0" cellpadding="1" cellspacing="1">
+				<table class="typo3-import-export">
 					'.implode('
 					',$row).'
 				</table>
@@ -641,7 +641,7 @@
 		$menuItems[] = array(
 			'label' => $LANG->getLL('exportdata_filePreset'),
 			'content' => '
-				<table border="0" cellpadding="1" cellspacing="1">
+				<table class="typo3-import-export">
 					'.implode('
 					',$row).'
 				</table>
@@ -654,7 +654,7 @@
 		$menuItems[] = array(
 			'label' => $LANG->getLL('exportdata_advancedOptions'),
 			'content' => '
-				<table border="0" cellpadding="1" cellspacing="1">
+				<table class="typo3-import-export">
 					'.implode('
 					',$row).'
 				</table>
@@ -756,20 +756,20 @@
 			$nameSuggestion.= 'tree_PID'.$inData['pagetree']['id'].'_L'.$inData['pagetree']['levels'];
 
 			$row[] = '
-				<tr class="tableheader bgColor5">
-					<td colspan="2">'.$LANG->getLL('makeconfig_exportPagetreeConfiguration',1).t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'pageTreeCfg', $GLOBALS['BACK_PATH'],'').'</td>
+				<tr class="t3-row-header">
+					<td colspan="2">' . t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'pageTreeCfg', $GLOBALS['BACK_PATH'], '') . $GLOBALS['LANG']->getLL('makeconfig_exportPagetreeConfiguration',1) . '</td>
 				</tr>';
 
 			$row[] = '
-				<tr class="bgColor4">
+				 <tr>
 					<td><strong>'.$LANG->getLL('makeconfig_pageId',1).'</strong></td>
 					<td>'.htmlspecialchars($inData['pagetree']['id']).
 						'<input type="hidden" value="'.htmlspecialchars($inData['pagetree']['id']).'" name="tx_impexp[pagetree][id]" /></td>
 				</tr>';
 
 			$row[] = '
-				<tr class="bgColor4">
-					<td><strong>'.$LANG->getLL('makeconfig_tree',1).'</strong>'.t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'pageTreeDisplay', $GLOBALS['BACK_PATH'],'').'</td>
+				 <tr>
+					<td>' . t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'pageTreeDisplay', $GLOBALS['BACK_PATH'], '') . $GLOBALS['LANG']->getLL('makeconfig_tree', 1) . '</td>
 					<td>'.($this->treeHTML ? $this->treeHTML : $LANG->getLL('makeconfig_noTreeExportedOnly',1)).'</td>
 				</tr>';
 
@@ -784,14 +784,14 @@
 				'999' => $LANG->getLL('makeconfig_infinite')
 			);
 			$row[] = '
-				<tr class="bgColor4">
-					<td><strong>'.$LANG->getLL('makeconfig_levels',1).'</strong>'.t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'pageTreeMode', $GLOBALS['BACK_PATH'],'').'</td>
+				 <tr>
+					<td>' . t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'pageTreeMode', $GLOBALS['BACK_PATH'], '') . $GLOBALS['LANG']->getLL('makeconfig_levels', 1) . '</td>
 					<td>'.$this->renderSelectBox('tx_impexp[pagetree][levels]',$inData['pagetree']['levels'],$opt).'</td>
 				</tr>';
 
 			$row[] = '
-				<tr class="bgColor4">
-					<td><strong>'.$LANG->getLL('makeconfig_includeTables',1).'</strong>'.t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'pageTreeRecordLimit', $GLOBALS['BACK_PATH'],'').'</td>
+				 <tr>
+					<td>' . t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'pageTreeRecordLimit', $GLOBALS['BACK_PATH'], '') . $GLOBALS['LANG']->getLL('makeconfig_includeTables', 1) . '</td>
 					<td>'.$this->tableSelector('tx_impexp[pagetree][tables]',$inData['pagetree']['tables'],'pages').'<br/>
 						'.$LANG->getLL('makeconfig_maxNumberOfRecords',1).'<br/>
 						<input type="text" name="tx_impexp[pagetree][maxNumber]" value="'.htmlspecialchars($inData['pagetree']['maxNumber']).'"'.$this->doc->formWidth(10).' /><br/>
@@ -802,8 +802,8 @@
 			// Single record export:
 		if (is_array($inData['record']))	{
 			$row[] = '
-				<tr class="tableheader bgColor5">
-					<td colspan="2">'.$LANG->getLL('makeconfig_exportSingleRecord',1).t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'singleRecord', $GLOBALS['BACK_PATH'],'').'</td>
+				<tr class="tableheader t3-row-header">
+					<td colspan="2">' . t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'singleRecord', $GLOBALS['BACK_PATH'], '') . $GLOBALS['LANG']->getLL('makeconfig_exportSingleRecord',1) . '</td>
 				</tr>';
 			foreach($inData['record'] as $ref)	{
 				$rParts = explode(':', $ref);
@@ -813,7 +813,7 @@
 				$rec = t3lib_BEfunc::getRecordWSOL($tName,$rUid);
 
 				$row[] = '
-				<tr class="bgColor4">
+				 <tr>
 					<td><strong>'.$LANG->getLL('makeconfig_record',1).'</strong></td>
 					<td>' . t3lib_iconworks::getSpriteIconForRecord($tName, $rec) .
 						t3lib_BEfunc::getRecordTitle($tName,$rec,TRUE).
@@ -825,7 +825,7 @@
 			// Single tables/pids:
 		if (is_array($inData['list']))	{
 			$row[] = '
-				<tr class="tableheader bgColor5">
+				<tr class="tableheader t3-row-header">
 					<td colspan="2">'.$LANG->getLL('makeconfig_exportTablesFromPages',1).'</td>
 				</tr>';
 
@@ -842,14 +842,14 @@
 				}
 			}
 			$row[] = '
-			<tr class="bgColor4">
-				<td><strong>'.$LANG->getLL('makeconfig_tablePids',1).'</strong>'.t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'tableList', $GLOBALS['BACK_PATH'],'').'</td>
+			 <tr>
+				<td>' . t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'tableList', $GLOBALS['BACK_PATH'],'') . $GLOBALS['LANG']->getLL('makeconfig_tablePids', 1) . '</td>
 				<td>'.$tblList.'</td>
 			</tr>';
 
 			$row[] = '
-				<tr class="bgColor4">
-					<td><strong>'.$LANG->getLL('makeconfig_maxNumberOfRecords',1).t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'tableListMaxNumber', $GLOBALS['BACK_PATH'],'').'</strong></td>
+				 <tr>
+					<td>' . t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'tableListMaxNumber', $GLOBALS['BACK_PATH'], '') . $GLOBALS['LANG']->getLL('makeconfig_maxNumberOfRecords', 1) . '</strong></td>
 					<td>
 						<input type="text" name="tx_impexp[listCfg][maxNumber]" value="'.htmlspecialchars($inData['listCfg']['maxNumber']).'"'.$this->doc->formWidth(10).' /><br/>
 					</td>
@@ -858,21 +858,21 @@
 
 
 		$row[] = '
-			<tr class="tableheader bgColor5">
+			<tr class="tableheader t3-row-header">
 				<td colspan="2">'.$LANG->getLL('makeconfig_relationsAndExclusions',1).'</td>
 			</tr>';
 
 			// Add relation selector:
 		$row[] = '
-				<tr class="bgColor4">
-					<td><strong>'.$LANG->getLL('makeconfig_includeRelationsToTables',1).'</strong>'.t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'inclRelations', $GLOBALS['BACK_PATH'],'').'</td>
+				 <tr>
+					<td>' . t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'inclRelations', $GLOBALS['BACK_PATH'], '') . $GLOBALS['LANG']->getLL('makeconfig_includeRelationsToTables', 1) .'</td>
 					<td>'.$this->tableSelector('tx_impexp[external_ref][tables]',$inData['external_ref']['tables']).'</td>
 				</tr>';
 
 			// Add static relation selector:
 		$row[] = '
-				<tr class="bgColor4">
-					<td><strong>'.$LANG->getLL('makeconfig_useStaticRelationsFor',1).'</strong>'.t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'staticRelations', $GLOBALS['BACK_PATH'],'').'</td>
+				 <tr>
+					<td>' . t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'staticRelations', $GLOBALS['BACK_PATH'],'') . $GLOBALS['LANG']->getLL('makeconfig_useStaticRelationsFor', 1) . '</td>
 					<td>'.$this->tableSelector('tx_impexp[external_static][tables]',$inData['external_static']['tables']).'<br/>
 						<label for="checkShowStaticRelations">'.$LANG->getLL('makeconfig_showStaticRelations',1).'</label> <input type="checkbox" name="tx_impexp[showStaticRelations]" id="checkShowStaticRelations" value="1"'.($inData['showStaticRelations'] ? ' checked="checked"' : '').' />
 						</td>
@@ -886,8 +886,8 @@
 			}
 		}
 		$row[] = '
-				<tr class="bgColor4">
-					<td><strong>'.$LANG->getLL('makeconfig_excludeElements',1).'</strong>'.t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'excludedElements', $GLOBALS['BACK_PATH'],'').'</td>
+				 <tr>
+					<td>' . t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'excludedElements', $GLOBALS['BACK_PATH'], '') . $GLOBALS['LANG']->getLL('makeconfig_excludeElements',1) . '</td>
 					<td>'.$excludeHiddenFields.'
 					'.(count($inData['exclude']) ? '<em>'.implode(', ',array_keys($inData['exclude'])).'</em><hr/><label for="checkExclude">'.$LANG->getLL('makeconfig_clearAllExclusions',1).'</label> <input type="checkbox" name="tx_impexp[exclude]" id="checkExclude" value="1" />' : $LANG->getLL('makeconfig_noExcludedElementsYet',1)).'
 					</td>
@@ -896,7 +896,7 @@
 
 			// Add buttons:
 		$row[] = '
-				<tr class="bgColor4">
+				 <tr>
 					<td>&nbsp;</td>
 					<td>
 						<input type="submit" value="'.$LANG->getLL('makeadvanc_update',1).'" />
@@ -918,11 +918,11 @@
 
 			// Soft references
 		$row[] = '
-			<tr class="tableheader bgColor5">
+			<tr class="tableheader t3-row-header">
 				<td colspan="2">'.$LANG->getLL('makeadvanc_softReferences',1).'</td>
 			</tr>';
 		$row[] = '
-				<tr class="bgColor4">
+				 <tr>
 					<td><label for="checkExcludeHTMLfileResources"><strong>'.$LANG->getLL('makeadvanc_excludeHtmlCssFile',1).'</strong></label>'.t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'htmlCssResources', $GLOBALS['BACK_PATH'],'').'</td>
 					<td><input type="checkbox" name="tx_impexp[excludeHTMLfileResources]" id="checkExcludeHTMLfileResources" value="1"'.($inData['excludeHTMLfileResources'] ? ' checked="checked"' : '').' /></td>
 				</tr>';
@@ -930,12 +930,12 @@
 
 			// Extensions
 		$row[] = '
-			<tr class="tableheader bgColor5">
+			<tr class="tableheader t3-row-header">
 				<td colspan="2">'.$LANG->getLL('makeadvanc_extensionDependencies',1).'</td>
 			</tr>';
 		$row[] = '
-				<tr class="bgColor4">
-					<td><strong>'.$LANG->getLL('makeadvanc_selectExtensionsThatThe',1).'</strong>'.t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'extensionDependencies', $GLOBALS['BACK_PATH'],'').'</td>
+				 <tr>
+					<td>' . t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'extensionDependencies', $GLOBALS['BACK_PATH'],'') . $GLOBALS['LANG']->getLL('makeadvanc_selectExtensionsThatThe',1) . '</td>
 					<td>'.$this->extensionSelector('tx_impexp[extension_dep]',$inData['extension_dep']).'</td>
 				</tr>';
 
@@ -943,7 +943,7 @@
 
 			// Add buttons:
 		$row[] = '
-				<tr class="bgColor4">
+				 <tr>
 					<td>&nbsp;</td>
 					<td>
 						<input type="submit" value="'.$LANG->getLL('makesavefo_update',1).'" />
@@ -966,7 +966,7 @@
 
 			// Presets:
 		$row[] = '
-			<tr class="tableheader bgColor5">
+			<tr class="tableheader t3-row-header">
 				<td colspan="2">'.$LANG->getLL('makesavefo_presets',1).'</td>
 			</tr>';
 
@@ -987,8 +987,8 @@
 		}
 
 		$row[] = '
-				<tr class="bgColor4">
-					<td><strong>'.$LANG->getLL('makesavefo_presets',1).'</strong>'.t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'presets', $GLOBALS['BACK_PATH'],'').'</td>
+				 <tr>
+					<td>' . t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'presets', $GLOBALS['BACK_PATH'], '') . $GLOBALS['LANG']->getLL('makesavefo_presets', 1) .'</td>
 					<td>
 						'.$LANG->getLL('makesavefo_selectPreset',1).'<br/>
 						'.$this->renderSelectBox('preset[select]','',$opt).'
@@ -1007,7 +1007,7 @@
 
 			// Output options:
 		$row[] = '
-			<tr class="tableheader bgColor5">
+			<tr class="tableheader t3-row-header">
 				<td colspan="2">'.$LANG->getLL('makesavefo_outputOptions',1).'</td>
 			</tr>';
 
@@ -1018,8 +1018,8 @@
 			array_unshift($thumbnails,'');
 		} else $thumbnails = FALSE;
 		$row[] = '
-				<tr class="bgColor4">
-					<td><strong>'.$LANG->getLL('makesavefo_metaData',1).'</strong>'.t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'metadata', $GLOBALS['BACK_PATH'],'').'</td>
+				 <tr>
+					<td>' . t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'metadata', $GLOBALS['BACK_PATH'], '') . $GLOBALS['LANG']->getLL('makesavefo_metaData', 1) .'</td>
 					<td>
 							'.$LANG->getLL('makesavefo_title',1).' <br/>
 							<input type="text" name="tx_impexp[meta][title]" value="'.htmlspecialchars($inData['meta']['title']).'"'.$this->doc->formWidth(30).' /><br/>
@@ -1048,8 +1048,8 @@
 		$opt['t3d'] = $LANG->getLL('makesavefo_t3dFile');
 		$opt['xml'] = $LANG->getLL('makesavefo_xml');
 		$row[] = '
-				<tr class="bgColor4">
-					<td><strong>'.$LANG->getLL('makesavefo_fileFormat',1).'</strong>'.t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'fileFormat', $GLOBALS['BACK_PATH'],'').'</td>
+				 <tr>
+					<td>' . t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'fileFormat', $GLOBALS['BACK_PATH'], '') . $GLOBALS['LANG']->getLL('makesavefo_fileFormat',1) .'</td>
 					<td>'.$this->renderSelectBox('tx_impexp[filetype]',$inData['filetype'],$opt).'<br/>
 						'.$LANG->getLL('makesavefo_maxSizeOfFiles',1).'<br/>
 						<input type="text" name="tx_impexp[maxFileSize]" value="'.htmlspecialchars($inData['maxFileSize']).'"'.$this->doc->formWidth(10).' /><br/>
@@ -1061,7 +1061,7 @@
 
 			// Add buttons:
 		$row[] = '
-				<tr class="bgColor4">
+				 <tr>
 					<td>&nbsp;</td>
 					<td><input type="submit" value="'.$LANG->getLL('makesavefo_update',1).'" /> - <input type="submit" value="'.$LANG->getLL('makesavefo_downloadExport',1).'" name="tx_impexp[download_export]" />'.
 						($savePath ? ' - <input type="submit" value="'.$LANG->getLL('importdata_saveToFilename',1).'" name="tx_impexp[save_export]" />' : '').'</td>
@@ -1146,24 +1146,24 @@
 				$opt[$file] = substr($file,strlen(PATH_site));
 			}
 
-			$row[] = '<tr class="bgColor5">
+			$row[] = '<tr class="t3-row-header">
 					<td colspan="2"><strong>'.$LANG->getLL('importdata_selectFileToImport',1).'</strong></td>
 				</tr>';
 
-			$row[] = '<tr class="bgColor4">
-				<td><strong>'.$LANG->getLL('importdata_file',1).'</strong>'.t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'importFile', $GLOBALS['BACK_PATH'],'').'</td>
+			$row[] = ' <tr>
+				<td>' . t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'importFile', $GLOBALS['BACK_PATH'], '') . $GLOBALS['LANG']->getLL('importdata_file', 1) . '</td>
 				<td>'.
 					$this->renderSelectBox('tx_impexp[file]',$inData['file'],$opt).'<br />'.sprintf($LANG->getLL('importdata_fromPathS',1),$path).
 					(!$import->compress ? '<br /><span class="typo3-red">'.$LANG->getLL('importdata_noteNoDecompressorAvailable',1).'</span>':'').
 				'</td>
 				</tr>';
 
-			$row[] = '<tr class="bgColor5">
+			$row[] = '<tr class="t3-row-header">
 					<td colspan="2"><strong>'.$LANG->getLL('importdata_importOptions',1).'</strong></td>
 				</tr>';
 
-			$row[] = '<tr class="bgColor4">
-				<td><strong>'.$LANG->getLL('importdata_update',1).'</strong>'.t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'update', $GLOBALS['BACK_PATH'],'').'</td>
+			$row[] = ' <tr>
+				<td>' . t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'update', $GLOBALS['BACK_PATH'], '') . $GLOBALS['LANG']->getLL('importdata_update', 1) . '</td>
 				<td>
 					<input type="checkbox" name="tx_impexp[do_update]" id="checkDo_update" value="1"'.($inData['do_update'] ? ' checked="checked"' : '').' />
 					<label for="checkDo_update">'.$LANG->getLL('importdata_updateRecords',1).'</label><br/>
@@ -1177,8 +1177,8 @@
 				).'</td>
 				</tr>';
 
-			$row[] = '<tr class="bgColor4">
-				<td><strong>'.$LANG->getLL('importdata_options',1).'</strong>'.t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'options', $GLOBALS['BACK_PATH'],'').'</td>
+			$row[] = ' <tr>
+				<td>' . t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'options', $GLOBALS['BACK_PATH'], '') . $GLOBALS['LANG']->getLL('importdata_options', 1) . '</td>
 				<td>
 					<input type="checkbox" name="tx_impexp[notShowDiff]" id="checkNotShowDiff" value="1"'.($inData['notShowDiff'] ? ' checked="checked"' : '').' />
 					<label for="checkNotShowDiff">'.$LANG->getLL('importdata_doNotShowDifferences',1).'</label><br/>
@@ -1198,15 +1198,15 @@
 				</td>
 				</tr>';
 
-			$row[] = '<tr class="bgColor4">
-				<td><strong>'.$LANG->getLL('importdata_action',1).'</strong>'.t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'action', $GLOBALS['BACK_PATH'],'').'</td>
+			$row[] = '<tr >
+				<td>' . t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'action', $GLOBALS['BACK_PATH'], '') . $GLOBALS['LANG']->getLL('importdata_action',1) . '</td>
 				<td>'.
 					(!$inData['import_file'] ? '<input type="submit" value="'.$LANG->getLL('importdata_preview',1).'" />'.($inData['file'] ? ' - <input type="submit" value="'.($inData['do_update']?$LANG->getLL('importdata_update_299e',1):$LANG->getLL('importdata_import',1)).'" name="tx_impexp[import_file]" onclick="return confirm(\''.$LANG->getLL('importdata_areYouSure',1).'\');" />':''):'<input type="submit" name="tx_impexp[new_import]" value="'.$LANG->getLL('importdata_newImport',1).'" />').'
 					<input type="hidden" name="tx_impexp[action]" value="import" /></td>
 				</tr>';
 
-			$row[] = '<tr class="bgColor4">
-				<td><strong>'.$LANG->getLL('importdata_enableLogging',1).'</strong>'.t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'enableLogging', $GLOBALS['BACK_PATH'],'').'</td>
+			$row[] = '<tr >
+				<td>' . t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'enableLogging', $GLOBALS['BACK_PATH'], '') . $GLOBALS['LANG']->getLL('importdata_enableLogging', 1) . '</td>
 				<td>
 					<input type="checkbox" name="tx_impexp[enableLogging]" id="checkEnableLogging" value="1"'.($inData['enableLogging'] ? ' checked="checked"' : '').' />
 					<label for="checkEnableLogging">'.$LANG->getLL('importdata_writeIndividualDbActions',1).'</label><br/>
@@ -1217,7 +1217,7 @@
 			$menuItems[] = array(
 				'label' => $LANG->getLL('importdata_import',1),
 				'content' => '
-					<table border="0" cellpadding="1" cellspacing="1">
+					<table class="typo3-import-export">
 						'.implode('
 						',$row).'
 					</table>
@@ -1229,12 +1229,12 @@
 			if ($tempFolder)	{
 				$row = array();
 
-				$row[] = '<tr class="bgColor5">
+				$row[] = '<tr class="t3-row-header">
 						<td colspan="2"><strong>'.$LANG->getLL('importdata_uploadFileFromLocal',1).'</strong></td>
 					</tr>';
 
-				$row[] = '<tr class="bgColor4">
-						<td>'.$LANG->getLL('importdata_browse',1).t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'upload', $GLOBALS['BACK_PATH'],'').'</td>
+				$row[] = '<tr >
+						<td>' . t3lib_BEfunc::cshItem('xMOD_tx_impexp', 'upload', $GLOBALS['BACK_PATH'], '') . $GLOBALS['LANG']->getLL('importdata_browse', 1) . '</td>
 						<td>
 
 								<input type="file" name="upload_1"'.$this->doc->formWidth(35).' size="40" />
@@ -1247,7 +1247,7 @@
 					</tr>';
 
 				if (t3lib_div::_POST('_upload'))	{
-					$row[] = '<tr class="bgColor4">
+					$row[] = '<tr >
 							<td>'.$LANG->getLL('importdata_uploadStatus',1).'</td>
 							<td>'.($this->fileProcessor->internalUploadMap[1] ? $LANG->getLL('importdata_success',1).' '.substr($this->fileProcessor->internalUploadMap[1],strlen(PATH_site)) : '<span class="typo3-red">'.$LANG->getLL('importdata_failureNoFileUploaded',1).'</span>').'</td>
 						</tr>';
@@ -1256,7 +1256,7 @@
 				$menuItems[] = array(
 					'label' => $LANG->getLL('importdata_upload'),
 					'content' => '
-						<table border="0" cellpadding="1" cellspacing="1">
+						<table class="typo3-import-export">
 							'.implode('
 							',$row).'
 						</table>
@@ -1309,7 +1309,7 @@
 				}
 
 					// Meta data output:
-				$trow[] = '<tr class="bgColor5">
+				$trow[] = '<tr class="t3-row-header">
 						<td colspan="2"><strong>'.$LANG->getLL('importdata_metaData',1).'</strong></td>
 					</tr>';
 
@@ -1318,22 +1318,22 @@
 					$opt[$file] = substr($file,strlen(PATH_site));
 				}
 
-				$trow[] = '<tr class="bgColor4">
+				$trow[] = '<tr >
 					<td><strong>'.$LANG->getLL('importdata_title',1).'</strong></td>
 					<td width="95%">'.nl2br(htmlspecialchars($import->dat['header']['meta']['title'])).'</td>
 					</tr>';
 
-				$trow[] = '<tr class="bgColor4">
+				$trow[] = '<tr >
 					<td><strong>'.$LANG->getLL('importdata_description',1).'</strong></td>
 					<td width="95%">'.nl2br(htmlspecialchars($import->dat['header']['meta']['description'])).'</td>
 					</tr>';
 
-				$trow[] = '<tr class="bgColor4">
+				$trow[] = '<tr >
 					<td><strong>'.$LANG->getLL('importdata_notes',1).'</strong></td>
 					<td width="95%">'.nl2br(htmlspecialchars($import->dat['header']['meta']['notes'])).'</td>
 					</tr>';
 
-				$trow[] = '<tr class="bgColor4">
+				$trow[] = '<tr >
 					<td><strong>'.$LANG->getLL('importdata_packager',1).'</strong></td>
 					<td width="95%">'.nl2br(htmlspecialchars($import->dat['header']['meta']['packager_name'].' ('.$import->dat['header']['meta']['packager_username'].')')).'<br/>
 						'.$LANG->getLL('importdata_email',1).' '.$import->dat['header']['meta']['packager_email'].'</td>
@@ -1354,7 +1354,7 @@
 								// Create icon tag:
 							$iconTag = '<img src="'.$this->doc->backPath.'../'.substr($fileName,strlen(PATH_site)).'" '.$import->dat['header']['thumbnail']['imgInfo'][3].' vspace="5" style="border: solid black 1px;" alt="" />';
 
-							$trow[] = '<tr class="bgColor4">
+							$trow[] = '<tr >
 								<td><strong>'.$LANG->getLL('importdata_icon',1).'</strong></td>
 								<td>'.$iconTag.'</td>
 								</tr>';
@@ -1367,7 +1367,7 @@
 				$menuItems[] = array(
 					'label' => $LANG->getLL('importdata_metaData_1387'),
 					'content' => '
-						<table border="0" cellpadding="1" cellspacing="1">
+						<table class="typo3-import-export">
 							'.implode('
 							',$trow).'
 						</table>
Index: typo3/sysext/impexp/class.tx_impexp.php
===================================================================
--- typo3/sysext/impexp/class.tx_impexp.php	(Revision 9033)
+++ typo3/sysext/impexp/class.tx_impexp.php	(Arbeitskopie)
@@ -2444,7 +2444,7 @@
 
 				$rows = array();
 				$rows[] = '
-				<tr class="bgColor5 tableheader">
+				<tr class="t3-row-header">
 					<td>'.$LANG->getLL('impexpcore_displaycon_controls',1).'</td>
 					<td>'.$LANG->getLL('impexpcore_displaycon_title',1).'</td>
 					<td>'.$LANG->getLL('impexpcore_displaycon_size',1).'</td>
@@ -2485,7 +2485,7 @@
 				if (count($lines))	{
 					$rows = array();
 					$rows[] = '
-					<tr class="bgColor5 tableheader">
+					<tr class="t3-row-header">
 						<td>'.$LANG->getLL('impexpcore_displaycon_controls',1).'</td>
 						<td>'.$LANG->getLL('impexpcore_displaycon_title',1).'</td>
 						<td>'.$LANG->getLL('impexpcore_displaycon_size',1).'</td>
@@ -2686,7 +2686,7 @@
 				}
 			}
 		}
-		$pInfo['class'] = $table=='pages' ? 'bgColor4-20' : 'bgColor4';
+		$pInfo['class'] = $table=='pages' ? 't3-impexp-pages' : 't3-impexp-records';
 		$pInfo['type'] = 'record';
 		$pInfo['size'] = $record['size'];
 		$lines[] = $pInfo;
@@ -2723,7 +2723,7 @@
 				}
 				$pInfo['ref'] = 'SOFTREF';
 				$pInfo['size'] = '';
-				$pInfo['class'] = 'bgColor3';
+				$pInfo['class'] = 't3-impexp-references';
 				$pInfo['type'] = 'softref';
 				$pInfo['_softRefInfo'] = $info;
 				$pInfo['type'] = 'softref';
@@ -2799,7 +2799,7 @@
 				}
 
 				$pInfo['preCode'] = $preCode.'&nbsp;&nbsp;&nbsp;&nbsp;<img'.t3lib_iconWorks::skinImg($GLOBALS['BACK_PATH'],'gfx/rel_db'.$Iprepend.'.gif','width="13" height="12"').' align="top" title="'.htmlspecialchars($pInfo['ref']).'" alt="" />';
-				$pInfo['class'] = $htmlColorClass ? $htmlColorClass : 'bgColor3';
+				$pInfo['class'] = $htmlColorClass ? $htmlColorClass : 't3-impexp-relations';
 				$pInfo['type'] = 'rel';
 
 				if (!$staticFixed || $this->showStaticRelations)	{
@@ -2843,7 +2843,7 @@
 			$pInfo['title'] = htmlspecialchars($fI['filename']);
 			$pInfo['ref'] = 'FILE';
 			$pInfo['size'] = $fI['filesize'];
-			$pInfo['class'] = $htmlColorClass ? $htmlColorClass : 'bgColor3';
+			$pInfo['class'] = $htmlColorClass ? $htmlColorClass : 't3-impexp-files';
 			$pInfo['type'] = 'file';
 
 				// If import mode and there is a non-RTE softreference, check the destination directory:
Index: typo3/sysext/impexp/modfunc1/class.tx_impexp_modfunc1.php
===================================================================
--- typo3/sysext/impexp/modfunc1/class.tx_impexp_modfunc1.php	(Revision 9033)
+++ typo3/sysext/impexp/modfunc1/class.tx_impexp_modfunc1.php	(Arbeitskopie)
@@ -121,7 +121,7 @@
 				$presets = $this->getPresets();
 				$opt = array();
 				$opt[] = '
-			<tr class="bgColor5 tableheader">
+			<tr class="t3-row-header">
 				<td>Icon:</td>
 				<td>Preset Title:</td>
 				<td>Public</td>