Index: typo3/sysext/rtehtmlarea/extensions/AboutEditor/skin/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/AboutEditor/skin/htmlarea.css	(révision 8265)
+++ typo3/sysext/rtehtmlarea/extensions/AboutEditor/skin/htmlarea.css	(copie de travail)
@@ -1,4 +1,6 @@
 /* Selectors for the AboutEditor plugin of htmlArea RTE */
 /* TYPO3 SVN ID: $Id $ */
-.htmlarea .toolbar .About {background-image:url("images/about.gif");}
-
+.htmlarea-action-editor-show-about {
+	background-image: url('images/about.gif') !important;
+	background-position: 0 0 !important;
+}
Index: typo3/sysext/rtehtmlarea/extensions/Acronym/skin/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/Acronym/skin/htmlarea.css	(révision 8265)
+++ typo3/sysext/rtehtmlarea/extensions/Acronym/skin/htmlarea.css	(copie de travail)
@@ -1,3 +1,6 @@
 /* Selectors for the Acronym extension of htmlArea RTE */
 /* TYPO3 SVN ID: $Id$ */
-.htmlarea .toolbar .Acronym {background-image:url("images/acronym.gif");}
+.htmlarea-action-abbreviation-edit {
+	background-image: url('images/acronym.gif') !important;
+	background-position: 0 0 !important;
+}
Index: typo3/sysext/rtehtmlarea/extensions/BlockElements/skin/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/BlockElements/skin/htmlarea.css	(révision 8265)
+++ typo3/sysext/rtehtmlarea/extensions/BlockElements/skin/htmlarea.css	(copie de travail)
@@ -1,14 +1,52 @@
 /* Selectors for the BlockElements extension of htmlArea RTE */
 /* TYPO3 SVN ID: $Id htmlarea.css $ */
-.htmlarea .toolbar .Indent {background-image:url("images/indent.gif");}
-.htmlarea .toolbar .Outdent {background-image:url("images/outdent.gif");}
-.htmlarea .toolbar .Blockquote {background-image:url("images/blockquote.gif");}
-.htmlarea .toolbar .InsertParagraphBefore, .htmlarea-context-menu .InsertParagraphBefore {background-image:url("images/insertParagraphBefore.gif");}
-.htmlarea .toolbar .InsertParagraphAfter, .htmlarea-context-menu .InsertParagraphAfter {background-image:url("images/insertParagraphAfter.gif");}
-.htmlarea .toolbar .JustifyLeft, .htmlarea-context-menu .JustifyLeft {background-image:url("images/justifyLeft.gif");}
-.htmlarea .toolbar .JustifyCenter, .htmlarea-context-menu .JustifyCenter {background-image:url("images/justifyCenter.gif");}
-.htmlarea .toolbar .JustifyRight, .htmlarea-context-menu .JustifyRight {background-image:url("images/justifyRight.gif");}
-.htmlarea .toolbar .JustifyFull, .htmlarea-context-menu .JustifyFull {background-image:url("images/justifyFull.gif");}
-.htmlarea .toolbar .InsertOrderedList, .htmlarea-context-menu .InsertOrderedList {background-image:url("images/insertOrderedList.gif");}
-.htmlarea .toolbar .InsertUnorderedList, .htmlarea-context-menu .InsertUnorderedList {background-image:url("images/insertUnorderedList.gif");}
-.htmlarea .toolbar .InsertHorinzontalRule, .htmlarea-context-menu .InsertHorinzontalRule {background-image:url("images/insertHorizontalRule.gif");}
+.htmlarea-action-blockquote {
+	background-image: url('images/blockquote.gif') !important;
+}
+.htmlarea-action-horizontal-rule-insert {
+	background-image: url('images/insertHorizontalRule.gif') !important;
+}
+.htmlarea-action-indent {
+	background-image: url('images/indent.gif') !important;
+}
+.htmlarea-action-justify-center {
+	background-image: url('images/justifyCenter.gif') !important;
+}
+.htmlarea-action-justify-full {
+	background-image: url('images/justifyFull.gif') !important;
+}
+.htmlarea-action-justify-left {
+	background-image: url('images/justifyLeft.gif') !important;
+}
+.htmlarea-action-justify-right {
+	background-image: url('images/justifyRight.gif') !important;
+}
+.htmlarea-action-ordered-list {
+	background-image: url('images/insertOrderedList.gif') !important;
+}
+.htmlarea-action-outdent {
+	background-image: url('images/outdent.gif') !important;
+}
+.htmlarea-action-paragraph-insert-after {
+	background-image: url('images/insertParagraphAfter.gif') !important;
+}
+.htmlarea-action-paragraph-insert-before {
+	background-image: url('images/insertParagraphBefore.gif') !important;
+}
+.htmlarea-action-unordered-list {
+	background-image: url('images/insertUnorderedList.gif') !important;
+}
+.htmlarea-action-blockquote,
+.htmlarea-action-horizontal-rule-insert,
+.htmlarea-action-indent,
+.htmlarea-action-justify-center,
+.htmlarea-action-justify-full,
+.htmlarea-action-justify-left,
+.htmlarea-action-justify-right,
+.htmlarea-action-ordered-list,
+.htmlarea-action-outdent,
+.htmlarea-action-paragraph-insert-after,
+.htmlarea-action-paragraph-insert-before,
+.htmlarea-action-unordered-list {
+	background-position: 0 0 !important;
+}
Index: typo3/sysext/rtehtmlarea/extensions/CharacterMap/skin/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/CharacterMap/skin/htmlarea.css	(révision 8265)
+++ typo3/sysext/rtehtmlarea/extensions/CharacterMap/skin/htmlarea.css	(copie de travail)
@@ -1,4 +1,6 @@
 /* Selectors for the InsertCharacter plugin of htmlArea RTE */
 /* TYPO3 SVN ID: $Id$ */
-.htmlarea .toolbar .InsertCharacter {background-image:url("images/insertCharacter.gif");}
-
+.htmlarea-action-character-insert-from-map {
+	background-image: url('images/insertCharacter.gif') !important;
+	background-position: 0 0 !important;
+}
Index: typo3/sysext/rtehtmlarea/extensions/CopyPaste/skin/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/CopyPaste/skin/htmlarea.css	(révision 8265)
+++ typo3/sysext/rtehtmlarea/extensions/CopyPaste/skin/htmlarea.css	(copie de travail)
@@ -1,5 +1,16 @@
 /* Selectors for the CopyPaste extension of htmlArea RTE */
 /* TYPO3 SVN ID: $Id htmlarea.css $ */
-.htmlarea .toolbar .Copy, .htmlarea-context-menu .Copy  {background-image:url("images/copy.gif");}
-.htmlarea .toolbar .Cut, .htmlarea-context-menu .Cut  {background-image:url("images/cut.gif");}
-.htmlarea .toolbar .Paste, .htmlarea-context-menu .Paste {background-image:url("images/paste.gif");}
+.htmlarea-action-copy { 
+	background-image: url('images/copy.gif') !important;
+}
+.htmlarea-action-cut { 
+	background-image: url('images/cut.gif') !important;
+}
+.htmlarea-action-paste { 
+	background-image: url('images/paste.gif') !important;
+}
+.htmlarea-action-copy,
+.htmlarea-action-cut,
+.htmlarea-action-paste {
+	background-position: 0 0 !important;
+}
Index: typo3/sysext/rtehtmlarea/extensions/DefaultImage/skin/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/DefaultImage/skin/htmlarea.css	(révision 8265)
+++ typo3/sysext/rtehtmlarea/extensions/DefaultImage/skin/htmlarea.css	(copie de travail)
@@ -1,4 +1,6 @@
 /* Selectors for the Image plugin of htmlArea RTE */
 /* TYPO3 SVN ID: $Id$ */
-.htmlarea .toolbar .Image {background-image:url("images/image.gif");}
-
+.htmlarea-action-image-edit {
+	background-image: url('images/image.gif') !important;
+	background-position: 0 0 !important;
+}
Index: typo3/sysext/rtehtmlarea/extensions/DefaultInline/skin/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/DefaultInline/skin/htmlarea.css	(révision 8265)
+++ typo3/sysext/rtehtmlarea/extensions/DefaultInline/skin/htmlarea.css	(copie de travail)
@@ -1,8 +1,28 @@
 /* Selectors for the DefaultInline plugin of htmlArea RTE */
 /* TYPO3 SVN ID: $Id$ */
-.htmlarea .toolbar .Bold {background-image:url("images/bold.gif");}
-.htmlarea .toolbar .Italic {background-image:url("images/italic.gif");}
-.htmlarea .toolbar .StrikeThrough {background-image:url("images/strikethrough.gif");}
-.htmlarea .toolbar .Subscript {background-image:url("images/subscript.gif");}
-.htmlarea .toolbar .Superscript {background-image:url("images/superscript.gif");}
-.htmlarea .toolbar .Underline {background-image:url("images/underline.gif");}
+.htmlarea-action-bold {
+	background-image: url('images/bold.gif') !important;
+}
+.htmlarea-action-italic {
+	background-image: url('images/italic.gif') !important;
+}
+.htmlarea-action-strike-through {
+	background-image: url('images/strikethrough.gif') !important;
+}
+.htmlarea-action-subscript {
+	background-image: url('images/subscript.gif') !important;
+}
+.htmlarea-action-superscript {
+	background-image: url('images/superscript.gif') !important;
+}
+.htmlarea-action-underline {
+	background-image: url('images/underline.gif') !important;
+}
+.htmlarea-action-bold,
+.htmlarea-action-italic,
+.htmlarea-action-strike-through,
+.htmlarea-action-subscript,
+.htmlarea-action-superscript,
+.htmlarea-action-underline {
+	background-position: 0 0 !important;
+}
Index: typo3/sysext/rtehtmlarea/extensions/DefaultLink/skin/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/DefaultLink/skin/htmlarea.css	(révision 8265)
+++ typo3/sysext/rtehtmlarea/extensions/DefaultLink/skin/htmlarea.css	(copie de travail)
@@ -1,4 +1,12 @@
 /* Selectors for the Default Link plugin of htmlArea RTE */
 /* TYPO3 SVN ID: $Id$ */
-.htmlarea .toolbar .CreateLink {background-image:url("images/link.gif");}
-.htmlarea .toolbar .UnLink {background-image:url("images/unlink.gif");}
+.htmlarea-action-link-edit {
+	background-image: url('images/link.gif') !important;
+}
+.htmlarea-action-unlink {
+	background-image: url('images/unlink.gif') !important;
+}
+.htmlarea-action-link-edit,
+.htmlarea-action-unlink {
+	background-position: 0 0 !important;
+}
Index: typo3/sysext/rtehtmlarea/extensions/DefinitionList/skin/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/DefinitionList/skin/htmlarea.css	(révision 8265)
+++ typo3/sysext/rtehtmlarea/extensions/DefinitionList/skin/htmlarea.css	(copie de travail)
@@ -1,4 +1,12 @@
 /* Selectors for the Definition List extension of htmlArea RTE */
-/* TYPO3 SVN ID: $Id htmlarea.css $ */
-.htmlarea .toolbar .DefinitionList, .htmlarea-context-menu .DefinitionList {background-image:url("images/definitionList.gif");}
-.htmlarea .toolbar .DefinitionItem, .htmlarea-context-menu .DefinitionItem {background-image:url("images/definitionItem.gif");}
+/* TYPO3 SVN ID: $Id$ */
+.htmlarea-action-definition-list {
+	background-image: url('images/definitionList.gif') !important;
+}
+.htmlarea-action-definition-list-item {
+	background-image: url('images/definitionItem.gif') !important;
+}
+.htmlarea-action-definition-list,
+.htmlarea-action-definition-list-item {
+	background-position: 0 0 !important;
+}
Index: typo3/sysext/rtehtmlarea/extensions/EditorMode/skin/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/EditorMode/skin/htmlarea.css	(révision 8265)
+++ typo3/sysext/rtehtmlarea/extensions/EditorMode/skin/htmlarea.css	(copie de travail)
@@ -1,6 +1,6 @@
 /* Selectors for the EditorMode plugin of htmlArea RTE */
 /* TYPO3 SVN ID: $Id$ */
-
-.htmlarea .toolbar .TextMode {
-	background-image:url("images/ed_html.gif");
+.htmlarea-action-editor-toggle-mode {
+	background-image: url('images/ed_html.gif') !important;
+	background-position: 0 0 !important;
 }
Index: typo3/sysext/rtehtmlarea/extensions/FindReplace/skin/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/FindReplace/skin/htmlarea.css	(révision 8265)
+++ typo3/sysext/rtehtmlarea/extensions/FindReplace/skin/htmlarea.css	(copie de travail)
@@ -1,3 +1,6 @@
 /* Selectors for the FindReplace plugin of htmlArea RTE */
 /* TYPO3 SVN ID: $Id $ */
-.htmlarea .toolbar .FindReplace {background-image:url("images/find.gif");}
+.htmlarea-action-find-replace {
+	background-image: url('images/find.gif') !important;
+	background-position: 0 0 !important;
+}
Index: typo3/sysext/rtehtmlarea/extensions/InlineElements/skin/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/InlineElements/skin/htmlarea.css	(révision 8265)
+++ typo3/sysext/rtehtmlarea/extensions/InlineElements/skin/htmlarea.css	(copie de travail)
@@ -1,23 +1,91 @@
 /* Selectors for the InlineElements plugin of htmlArea RTE */
-.htmlarea .toolbar .BiDiOverride {background-image:url("images/bidioverride.gif");}
-.htmlarea .toolbar .Big {background-image:url("images/big.gif");}
-.htmlarea .toolbar .Bold {background-image:url("images/bold.gif");}
-.htmlarea .toolbar .Citation {background-image:url("images/citation.gif");}
-.htmlarea .toolbar .Code {background-image:url("images/code.gif");}
-.htmlarea .toolbar .Definition {background-image:url("images/definition.gif");}
-.htmlarea .toolbar .DeletedText {background-image:url("images/deletedtext.gif");}
-.htmlarea .toolbar .Emphasis {background-image:url("images/emphasis.gif");}
-.htmlarea .toolbar .InsertedText {background-image:url("images/insertedtext.gif");}
-.htmlarea .toolbar .Italic {background-image:url("images/italic.gif");}
-.htmlarea .toolbar .Keyboard {background-image:url("images/keyboard.gif");}
-.htmlarea .toolbar .MonoSpaced {background-image:url("images/monospaced.gif");}
-.htmlarea .toolbar .Quotation {background-image:url("images/quotation.gif");}
-.htmlarea .toolbar .Sample {background-image:url("images/sample.gif");}
-.htmlarea .toolbar .Small {background-image:url("images/small.gif");}
-.htmlarea .toolbar .Span {background-image:url("images/span.gif");}
-.htmlarea .toolbar .StrikeThrough {background-image:url("images/strikethrough.gif");}
-.htmlarea .toolbar .Strong {background-image:url("images/strong.gif");}
-.htmlarea .toolbar .Subscript {background-image:url("images/subscript.gif");}
-.htmlarea .toolbar .Superscript {background-image:url("images/superscript.gif");}
-.htmlarea .toolbar .Underline {background-image:url("images/underline.gif");}
-.htmlarea .toolbar .Variable {background-image:url("images/variable.gif");}
+.htmlarea-action-bidi-override {
+	background-image: url('images/bidioverride.gif') !important;
+}
+.htmlarea-action-big {
+	background-image: url('images/big.gif') !important;
+}
+.htmlarea-action-bold {
+	background-image: url('images/bold.gif') !important;
+}
+.htmlarea-action-citation {
+	background-image: url('images/citation.gif') !important;
+}
+.htmlarea-action-code {
+	background-image: url('images/code.gif') !important;
+}
+.htmlarea-action-definition {
+	background-image: url('images/definition.gif') !important;
+}
+.htmlarea-action-deleted-text {
+	background-image: url('images/deletedtext.gif') !important;
+}
+.htmlarea-action-emphasis {
+	background-image: url('images/emphasis.gif') !important;
+}
+.htmlarea-action-italic {
+	background-image: url('images/italic.gif') !important;
+}
+.htmlarea-action-inserted-text {
+	background-image: url('images/insertedtext.gif') !important;
+}
+.htmlarea-action-keyboard {
+	background-image: url('images/keyboard.gif') !important;
+}
+.htmlarea-action-mono-spaced {
+	background-image: url('images/monospaced.gif') !important;
+}
+.htmlarea-action-quotation {
+	background-image: url('images/quotation.gif') !important;
+}
+.htmlarea-action-sample {
+	background-image: url('images/sample.gif') !important;
+}
+.htmlarea-action-small {
+	background-image: url('images/small.gif') !important;
+}
+.htmlarea-action-span {
+	background-image: url('images/span.gif') !important;
+}
+.htmlarea-action-strike-through {
+	background-image: url('images/strikethrough.gif') !important;
+}
+.htmlarea-action-strong {
+	background-image: url('images/strong.gif') !important;
+}
+.htmlarea-action-subscript {
+	background-image: url('images/subscript.gif') !important;
+}
+.htmlarea-action-superscript {
+	background-image: url('images/superscript.gif') !important;
+}
+.htmlarea-action-underline {
+	background-image: url('images/underline.gif') !important;
+}
+.htmlarea-action-variable {
+	background-image: url('images/variable.gif') !important;
+}
+.htmlarea-action-bidi-override,
+.htmlarea-action-big,
+.htmlarea-action-bold,
+.htmlarea-action-citation,
+.htmlarea-action-code,
+.htmlarea-action-definition,
+.htmlarea-action-deleted-text,
+.htmlarea-action-emphasis,
+.htmlarea-action-inserted-text,
+.htmlarea-action-italic,
+.htmlarea-action-keyboard,
+.htmlarea-action-mono-spaced,
+.htmlarea-action-quotation,
+.htmlarea-action-sample,
+.htmlarea-action-small,
+.htmlarea-action-span,
+.htmlarea-action-strike-through,
+.htmlarea-action-strong,
+.htmlarea-action-subscript,
+.htmlarea-action-superscript,
+.htmlarea-action-underline,
+.htmlarea-action-variable {
+	background-position: 0 0 !important;
+}
Index: typo3/sysext/rtehtmlarea/extensions/InsertSmiley/skin/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/InsertSmiley/skin/htmlarea.css	(révision 8265)
+++ typo3/sysext/rtehtmlarea/extensions/InsertSmiley/skin/htmlarea.css	(copie de travail)
@@ -1,3 +1,6 @@
 /* Selectors for the Insert Smiley plugin of htmlArea RTE */
-/* TYPO3 SVN ID: $Id $ */
-.htmlarea .toolbar .InsertSmiley {background-image:url("images/smiley.gif");}
+/* TYPO3 SVN ID: $Id$ */
+.htmlarea-action-smiley-insert {
+	background-image: url('images/smiley.gif') !important;
+	background-position: 0 0 !important;
+}
Index: typo3/sysext/rtehtmlarea/extensions/Language/skin/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/Language/skin/htmlarea.css	(révision 8265)
+++ typo3/sysext/rtehtmlarea/extensions/Language/skin/htmlarea.css	(copie de travail)
@@ -1,12 +1,16 @@
 /* Selectors for the LanguageMarks plugin of htmlArea RTE */
 /* TYPO3 SVN ID: $Id$ */
-
-.htmlarea .toolbar .LeftToRight {
-	background-image:url("images/left_to_right.gif");
+.htmlarea-action-language-marks-show {
+	background-image: url('images/show-language-marks.gif') !important;
 }
-.htmlarea .toolbar .RightToLeft {
-	background-image:url("images/right_to_left.gif");
+.htmlarea-action-text-direction-left-to-right {
+	background-image: url('images/left_to_right.gif') !important;
 }
-.htmlarea .toolbar .ShowLanguageMarks {
-	background-image:url("images/show-language-marks.gif");
+.htmlarea-action-text-direction-right-to-left {
+	background-image: url('images/right_to_left.gif') !important;
 }
+.htmlarea-action-definition-list,
+.htmlarea-action-text-direction-left-to-right,
+.htmlarea-action-text-direction-right-to-left {
+	background-position: 0 0 !important;
+}
Index: typo3/sysext/rtehtmlarea/extensions/QuickTag/skin/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/QuickTag/skin/htmlarea.css	(révision 8265)
+++ typo3/sysext/rtehtmlarea/extensions/QuickTag/skin/htmlarea.css	(copie de travail)
@@ -1,3 +1,6 @@
 /* Selectors for the QuickTag plugin of htmlArea RTE */
 /* TYPO3 SVN ID: $Id$ */
-.htmlarea .toolbar .InsertTag {background-image:url("images/inserttag.gif");}
+.htmlarea-action-tag-insert {
+	background-image: url('images/inserttag.gif') !important;
+	background-position: 0 0 !important;
+}
Index: typo3/sysext/rtehtmlarea/extensions/RemoveFormat/skin/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/RemoveFormat/skin/htmlarea.css	(révision 8265)
+++ typo3/sysext/rtehtmlarea/extensions/RemoveFormat/skin/htmlarea.css	(copie de travail)
@@ -1,4 +1,6 @@
 /* Selectors for the RemoveFormat plugin of htmlArea RTE */
-/* TYPO3 SVN ID: $Id $ */
-.htmlarea .toolbar .RemoveFormat {background-image:url("images/clean.gif");}
-
+/* TYPO3 SVN ID: $Id$ */
+.htmlarea-action-remove-format {
+	background-image: url('images/clean.gif') !important;
+	background-position: 0 0 !important;
+}
Index: typo3/sysext/rtehtmlarea/extensions/SpellChecker/skin/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/SpellChecker/skin/htmlarea.css	(révision 8265)
+++ typo3/sysext/rtehtmlarea/extensions/SpellChecker/skin/htmlarea.css	(copie de travail)
@@ -1,3 +1,6 @@
 /* Selectors for the Spell Checker plugin of htmlArea RTE */
-/* TYPO3 SVN ID: $Id $ */
-.htmlarea .toolbar .SpellCheck {background-image:url("images/spell-check.gif");}
+/* TYPO3 SVN ID: $Id$ */
+.htmlarea-action-spell-check {
+	background-image: url('images/spell-check.gif') !important;
+	background-position: 0 0 !important;
+}
Index: typo3/sysext/rtehtmlarea/extensions/TableOperations/skin/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/TableOperations/skin/htmlarea.css	(révision 8265)
+++ typo3/sysext/rtehtmlarea/extensions/TableOperations/skin/htmlarea.css	(copie de travail)
@@ -1,22 +1,84 @@
 /* Selectors for the Table Operations extension of htmlArea RTE */
 /* TYPO3 SVN ID: $Id$ */
-.htmlarea .toolbar .InsertTable {background-image:url("images/insert_table.gif");}
-.htmlarea .toolbar .TO-toggle-borders, .htmlarea-context-menu .TO-toggle-borders {background-image:url("images/toggle-borders.gif");}
-.htmlarea .toolbar .TO-table-prop, .htmlarea-context-menu .TO-table-prop {background-image:url("images/table-prop.gif");}
-.htmlarea .toolbar .TO-table-restyle, .htmlarea-context-menu .TO-table-restyle {background-image:url("images/table-restyle.gif");}
-.htmlarea .toolbar .TO-row-prop, .htmlarea-context-menu .TO-row-prop {background-image:url("images/row-prop.gif");}
-.htmlarea .toolbar .TO-row-insert-above, .htmlarea-context-menu .TO-row-insert-above {background-image:url("images/row-insert-above.gif");}
-.htmlarea .toolbar .TO-row-insert-under, .htmlarea-context-menu .TO-row-insert-under {background-image:url("images/row-insert-under.gif");}
-.htmlarea .toolbar .TO-row-delete, .htmlarea-context-menu .TO-row-delete {background-image:url("images/row-delete.gif");}
-.htmlarea .toolbar .TO-row-split, .htmlarea-context-menu .TO-row-split {background-image:url("images/row-split.gif");}
-.htmlarea .toolbar .TO-col-prop, .htmlarea-context-menu .TO-col-prop {background-image:url("images/col-prop.gif");}
-.htmlarea .toolbar .TO-col-insert-before, .htmlarea-context-menu .TO-col-insert-before {background-image:url("images/col-insert-before.gif");}
-.htmlarea .toolbar .TO-col-insert-after, .htmlarea-context-menu .TO-col-insert-after {background-image:url("images/col-insert-after.gif");}
-.htmlarea .toolbar .TO-col-delete, .htmlarea-context-menu .TO-col-delete {background-image:url("images/col-delete.gif");}
-.htmlarea .toolbar .TO-col-split, .htmlarea-context-menu .TO-col-split {background-image:url("images/col-split.gif");}
-.htmlarea .toolbar .TO-cell-prop, .htmlarea-context-menu .TO-cell-prop {background-image:url("images/cell-prop.gif");}
-.htmlarea .toolbar .TO-cell-insert-before, .htmlarea-context-menu .TO-cell-insert-before {background-image:url("images/cell-insert-before.gif");}
-.htmlarea .toolbar .TO-cell-insert-after, .htmlarea-context-menu .TO-cell-insert-after {background-image:url("images/cell-insert-after.gif");}
-.htmlarea .toolbar .TO-cell-delete, .htmlarea-context-menu .TO-cell-delete {background-image:url("images/cell-delete.gif");}
-.htmlarea .toolbar .TO-cell-split, .htmlarea-context-menu .TO-cell-split {background-image:url("images/cell-split.gif");}
-.htmlarea .toolbar .TO-cell-merge, .htmlarea-context-menu .TO-cell-merge {background-image:url("images/cell-merge.gif");}
+.htmlarea-action-cell-delete {
+	background-image: url('images/cell-delete.gif') !important;
+}
+.htmlarea-action-cell-edit-properties {
+	background-image: url('images/cell-prop.gif') !important;
+}
+.htmlarea-action-cell-insert-after {
+	background-image: url('images/cell-insert-after.gif') !important;
+}
+.htmlarea-action-cell-insert-before {
+	background-image: url('images/cell-insert-before.gif') !important;
+}
+.htmlarea-action-cell-merge {
+	background-image: url('images/cell-merge.gif') !important;
+}
+.htmlarea-action-cell-split {
+	background-image: url('images/cell-split.gif') !important;
+}
+.htmlarea-action-column-delete {
+	background-image: url('images/col-delete.gif') !important;
+}
+.htmlarea-action-column-edit-properties {
+	background-image: url('images/col-prop.gif') !important;
+}
+.htmlarea-action-column-insert-after {
+	background-image: url('images/col-insert-after.gif') !important;
+}
+.htmlarea-action-column-insert-before {
+	background-image: url('images/col-insert-before.gif') !important;
+}
+.htmlarea-action-column-split {
+	background-image: url('images/col-split.gif') !important;
+}
+.htmlarea-action-row-delete {
+	background-image: url('images/row-delete.gif') !important;
+}
+.htmlarea-action-row-edit-properties {
+	background-image: url('images/row-prop.gif') !important;
+}
+.htmlarea-action-row-insert-above {
+	background-image: url('images/row-insert-above.gif') !important;
+}
+.htmlarea-action-row-insert-under {
+	background-image: url('images/row-insert-under.gif') !important;
+}
+.htmlarea-action-row-split {
+	background-image: url('images/row-split.gif') !important;
+}
+.htmlarea-action-table-edit-properties {
+	background-image: url('images/table-prop.gif') !important;
+}
+.htmlarea-action-table-insert {
+	background-image: url('images/insert_table.gif') !important;
+}
+.htmlarea-action-table-restyle {
+	background-image: url('images/table-restyle.gif') !important;
+}
+.htmlarea-action-table-show-borders {
+	background-image: url('images/toggle-borders.gif') !important;
+}
+.htmlarea-action-cell-delete,
+.htmlarea-action-cell-edit-properties,
+.htmlarea-action-cell-insert-after,
+.htmlarea-action-cell-insert-before,
+.htmlarea-action-cell-merge,
+.htmlarea-action-cell-split,
+.htmlarea-action-column-delete,
+.htmlarea-action-column-edit-properties,
+.htmlarea-action-column-insert-after,
+.htmlarea-action-column-insert-before,
+.htmlarea-action-column-split,
+.htmlarea-action-row-delete,
+.htmlarea-action-row-edit-properties,
+.htmlarea-action-row-insert-above,
+.htmlarea-action-row-insert-under,
+.htmlarea-action-row-split,
+.htmlarea-action-table-edit-properties,
+.htmlarea-action-table-insert,
+.htmlarea-action-table-restyle,
+.htmlarea-action-table-show-borders {
+	background-position: 0 0 !important;
+}
Index: typo3/sysext/rtehtmlarea/extensions/TYPO3Color/skin/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/TYPO3Color/skin/htmlarea.css	(révision 8265)
+++ typo3/sysext/rtehtmlarea/extensions/TYPO3Color/skin/htmlarea.css	(copie de travail)
@@ -1,4 +1,12 @@
 /* Selectors for the TYPO3Color plugin of htmlArea RTE */
 /* TYPO3 SVN ID: $Id$ */
-.htmlarea .toolbar .ForeColor {background-image:url("images/forecolor.gif");}
-.htmlarea .toolbar .HiliteColor {background-image:url("images/hilitecolor.gif");}
+.htmlarea-action-color-background {
+	background-image: url('images/hilitecolor.gif') !important;
+}
+.htmlarea-action-color-foreground {
+	background-image: url('images/forecolor.gif') !important;
+}
+.htmlarea-action-color-background,
+.htmlarea-action-color-foreground {
+	background-position: 0 0 !important;
+}
Index: typo3/sysext/rtehtmlarea/extensions/TYPO3Image/skin/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/TYPO3Image/skin/htmlarea.css	(révision 8265)
+++ typo3/sysext/rtehtmlarea/extensions/TYPO3Image/skin/htmlarea.css	(copie de travail)
@@ -1,4 +1,6 @@
 /* Selectors for the TYPO3 Image plugin of htmlArea RTE */
 /* TYPO3 SVN ID: $Id$ */
-.htmlarea .toolbar .Image {background-image:url("images/image.gif");}
-
+.htmlarea-action-image-edit {
+	background-image: url('images/image.gif') !important;
+	background-position: 0 0 !important;
+}
Index: typo3/sysext/rtehtmlarea/extensions/TYPO3Link/skin/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/TYPO3Link/skin/htmlarea.css	(révision 8265)
+++ typo3/sysext/rtehtmlarea/extensions/TYPO3Link/skin/htmlarea.css	(copie de travail)
@@ -1,4 +1,12 @@
 /* Selectors for the TYPO3 Link plugin of htmlArea RTE */
 /* TYPO3 SVN ID: $Id$ */
-.htmlarea .toolbar .CreateLink {background-image:url("images/link.gif");}
-.htmlarea .toolbar .UnLink {background-image:url("images/unlink.gif");}
+.htmlarea-action-link-edit {
+	background-image: url('images/link.gif') !important;
+}
+.htmlarea-action-unlink {
+	background-image: url('images/unlink.gif') !important;
+}
+.htmlarea-action-link-edit,
+.htmlarea-action-unlink {
+	background-position: 0 0 !important;
+}
Index: typo3/sysext/rtehtmlarea/extensions/UndoRedo/skin/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/UndoRedo/skin/htmlarea.css	(révision 8265)
+++ typo3/sysext/rtehtmlarea/extensions/UndoRedo/skin/htmlarea.css	(copie de travail)
@@ -1,4 +1,12 @@
 /* Selectors for the Undo Redo plugin of htmlArea RTE */
 /* TYPO3 SVN ID: $Id$ */
-.htmlarea .toolbar .Undo {background-image:url("images/undo.gif");}
-.htmlarea .toolbar .Redo {background-image:url("images/redo.gif");}
+.htmlarea-action-redo {
+	background-image: url('images/redo.gif') !important;
+}
+.htmlarea-action-undo {
+	background-image: url('images/undo.gif') !important;
+}
+.htmlarea-action-redo,
+.htmlarea-action-undo {
+	background-position: 0 0 !important;
+}
Index: typo3/sysext/rtehtmlarea/extensions/UserElements/skin/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/extensions/UserElements/skin/htmlarea.css	(révision 8265)
+++ typo3/sysext/rtehtmlarea/extensions/UserElements/skin/htmlarea.css	(copie de travail)
@@ -1,3 +1,6 @@
 /* Selectors for the User Elements extension of htmlArea RTE */
 /* TYPO3 SVN ID: $Id$ */
-.htmlarea .toolbar .UserElements {background-image:url("images/user.gif");}
+.htmlarea-action-user-element-edit {
+	background-image: url('images/user.gif') !important;
+	background-position: 0 0 !important;
+}