Index: typo3/sysext/rtehtmlarea/ext_autoload.php
===================================================================
--- typo3/sysext/rtehtmlarea/ext_autoload.php	(révision 9172)
+++ typo3/sysext/rtehtmlarea/ext_autoload.php	(copie de travail)
@@ -1,6 +1,11 @@
 <?php
-
+/*
+ * Register necessary class names with autoloader
+ *
+ * $Id: ext_autoload.php $
+ */
+$extensionPath = t3lib_extMgm::extPath('rtehtmlarea');
 return array(
-	'tx_rtehtmlarea_statusreport_conflictscheck' => t3lib_extMgm::extPath('rtehtmlarea') . 'hooks/statusreport/conflictscheck.php',
+	'tx_rtehtmlarea_statusreport_conflictscheck' => $extensionPath . 'hooks/statusreport/class.tx_rtehtmlarea_statusreport_conflictscheck.php',
 );
 ?>
\ No newline at end of file
Index: typo3/sysext/rtehtmlarea/ext_emconf.php
===================================================================
--- typo3/sysext/rtehtmlarea/ext_emconf.php	(révision 9172)
+++ typo3/sysext/rtehtmlarea/ext_emconf.php	(copie de travail)
@@ -43,6 +43,8 @@
 		'conflicts' => array(
 			'rte_conf' => '',
 			'tkr_rteanchors' => '',
+			'ad_rtepasteplain' => '',
+			'rtehtmlarea_definitionlist' => '',
 		),
 		'suggests' => array(
 			'rtehtmlarea_api_manual' => '',
Index: typo3/sysext/rtehtmlarea/hooks/statusreport/class.tx_rtehtmlarea_statusreport_conflictscheck.php
===================================================================
--- typo3/sysext/rtehtmlarea/hooks/statusreport/class.tx_rtehtmlarea_statusreport_conflictscheck.php	(révision 9172)
+++ typo3/sysext/rtehtmlarea/hooks/statusreport/class.tx_rtehtmlarea_statusreport_conflictscheck.php	(copie de travail)
@@ -25,7 +25,7 @@
 /**
  * Hook into the backend module "Reports" checking whether there are extensions installed that conflicting with htmlArea RTE
  *
- * @version $Id: conflictscheck.php $
+ * @version $Id: class.tx_rtehtmlarea_statusreport_conflictscheck.php $
  */
 class tx_rtehtmlarea_statusReport_conflictsCheck implements tx_reports_StatusProvider {
 	/**
@@ -71,4 +71,7 @@
 		);
 	}
 }
+if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/rtehtmlarea/hooks/statusreport/class.tx_rtehtmlarea_statusreport_conflictscheck.php']) {
+	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/rtehtmlarea/hooks/statusreport/class.tx_rtehtmlarea_statusreport_conflictscheck.php']);
+}
 ?>
\ No newline at end of file
Index: typo3/sysext/rtehtmlarea/hooks/statusreport/conflictscheck.php
===================================================================
--- typo3/sysext/rtehtmlarea/hooks/statusreport/conflictscheck.php	(révision 9172)
+++ typo3/sysext/rtehtmlarea/hooks/statusreport/conflictscheck.php	(copie de travail)
@@ -1,74 +0,0 @@
-<?php
-/***************************************************************
-*  Copyright notice
-*
-*  (c) 2010 Stanislas Rolland <typo3@sjbr.ca>
-*  All rights reserved
-*
-*  This script is part of the TYPO3 project. The TYPO3 project is
-*  free software; you can redistribute it and/or modify
-*  it under the terms of the GNU General Public License as published by
-*  the Free Software Foundation; either version 2 of the License, or
-*  (at your option) any later version.
-*
-*  The GNU General Public License can be found at
-*  http://www.gnu.org/copyleft/gpl.html.
-*
-*  This script is distributed in the hope that it will be useful,
-*  but WITHOUT ANY WARRANTY; without even the implied warranty of
-*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-*  GNU General Public License for more details.
-*
-*  This copyright notice MUST APPEAR in all copies of the script!
-***************************************************************/
-
-/**
- * Hook into the backend module "Reports" checking whether there are extensions installed that conflicting with htmlArea RTE
- *
- * @version $Id: conflictscheck.php $
- */
-class tx_rtehtmlarea_statusReport_conflictsCheck implements tx_reports_StatusProvider {
-	/**
-	 * Compiles a collection of system status checks as a status report.
-	 *
-	 * @see typo3/sysext/reports/interfaces/tx_reports_StatusProvider::getStatus()
-	 */
-	public function getStatus() {
-		$reports = array(
-			'noConflictingExtensionISInstalled' => $this->checkIfNoConflictingExtensionIsInstalled()
-		);
-		return $reports;
-	}
-	/**
-	 * Check whether any conflicting extension has been installed
-	 *
-	 * @return	tx_reports_reports_status_Status
-	 */
-	protected function checkIfNoConflictingExtensionIsInstalled() {
-		$title = $GLOBALS['LANG']->sL('LLL:EXT:rtehtmlarea/hooks/statusreport/locallang.xml:title');
-		$conflictingExtensions = array();
-		if (is_array($GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['rtehtmlarea']['conflicts'])) {
-			foreach ($GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['rtehtmlarea']['conflicts'] as $extensionKey => $version) {
-				if (t3lib_extMgm::isLoaded($extensionKey)) {
-					$conflictingExtensions[] = $extensionKey;
-				}
-			}
-		}
-		if (count($conflictingExtensions)) {
-			$value = $GLOBALS['LANG']->sL('LLL:EXT:rtehtmlarea/hooks/statusreport/locallang.xml:keys') . ' ' . implode(', ', $conflictingExtensions);
-			$message = $GLOBALS['LANG']->sL('LLL:EXT:rtehtmlarea/hooks/statusreport/locallang.xml:uninstall');
-			$status = tx_reports_reports_status_Status::ERROR;
-		} else {
-			$value = $GLOBALS['LANG']->sL('LLL:EXT:rtehtmlarea/hooks/statusreport/locallang.xml:none');
-			$message = '';
-			$status = tx_reports_reports_status_Status::OK;
-		}
-		return t3lib_div::makeInstance('tx_reports_reports_status_Status',
-			$title,
-			$value,
-			$message,
-			$status
-		);
-	}
-}
-?>
\ No newline at end of file